//
//  HFSFileHandle.h
//  UDFKit
//
//  Created by Scott on 8/11/09.
//  Copyright 2009 The Little App Factory. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "UDFKit.h"


@interface HFSFileHandle : NSObject {
	
    //HFSReader		*reader;
	NSFileHandle	*fileHandle;
	NSString		*path;
    NSData			*titleKey;

}

@property (readonly) NSData* titleKey;
@property (readonly) NSString* path;
@property (readonly) uint64_t size;

- (id)initWithReader:(id)_reader path:(NSString*)_path;
- (NSData*)readDataOfLength:(uint32_t)length;
- (NSData*)readDataToEndOfFile;
- (void)seekToFileOffset:(unsigned long long)offset;
- (uint64_t)offsetInFile;


@end
