//
//  DKDVDStructureTitle.h
//  AFRipEngine
//
//  Created by Scott on 10/13/09.
//  Copyright 2009 The Little App Factory Pty, Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DVDKit.h"


@interface DKDVDStructureTitle : NSObject {

	int							 index;
	int							 titleIndex;
	int							 originalTitleIndex;
	uint64_t					 lengthInSectors;
	uint64_t					 lengthInSeconds;
	DKTitleSetInformation		*information;
	
}

@property (assign) int index;
@property (assign) int titleIndex;
@property (assign) int originalTitleIndex;
@property (assign) uint64_t lengthInSectors;
@property (assign) uint64_t lengthInSeconds;
@property (retain) DKTitleSetInformation *information;


@end
