//
//  RIDiscPatch.h
//  AFRipEngine
//
//  Created by Scott on 1/7/10.
//  Copyright 2010 The Little App Factory Pty, Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "RIBranch.h"
#import "RIStateFilter.h"


@interface RIDiscPatch : NSObject {

	NSString		*discIdent;
	NSMutableArray	*stateFilterArray;
	
}

@property (retain) NSString *discIdent;


-(void)clear;
-(void)saveXMLToURL:(NSURL*)_url;
-(void)loadXMLFromXMLDocument:(NSXMLDocument*)_document;
-(void)loadXMLFromURL:(NSURL*)_url;
-(void)loadXMLFromString:(NSString*)_xml;
-(void)addStateFilter:(RIStateFilter*)_filter;
-(BOOL)shouldExecuteVirtualMachine:(DKVirtualMachine*)_virtualMachine withCommand:(DKCommand*)_command;

@end
